Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.search
Interface IUpdateSearchQuery

public interface IUpdateSearchQuery

A search query.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0

Method Summary
`IQueryUpdateSiteAdapter` | `getQuerySearchSite()` Returns an update site adapter that should be added to the scope while running this query.
`void` | `run(ISite site, String[] categoriesToSkip, IUpdateSearchFilter filter, IUpdateSearchResultCollector collector, IProgressMonitor monitor)` Executes the query.

Method Detail

### getQuerySearchSite

    public IQueryUpdateSiteAdapter getQuerySearchSite()

  Returns an update site adapter that should be added to the scope while running this query. Some search category may need to scan specific site adapter in addition to those specified in the search scope.

  Returns:
    the query-specific site adapter or `null` if not specified.

### run

    public void run(ISite site,
                    String[] categoriesToSkip,
                    IUpdateSearchFilter filter,
                    IUpdateSearchResultCollector collector,
                    IProgressMonitor monitor)

  Executes the query. The implementors should scan the provided update site (scipping certain categories if provided) and pass the matches to the result collector. The query is also responsible of scoping and moving the provided progress monitor.

  Parameters:
    `site` - the update site to scan
    `categoriesToSkip` - an array of category names that need to be skipped or `null` if categories should not be taken into account.
    `filter` - a filter to apply before passing the match to collector
    `collector` - an object that is used for reporting search results
    `monitor` - a progress monitor to report search progress within the provided site

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.